"use strict";
var libraryManifest = {
    manifestVersion: 2,
    componentType: 'Library',
    id: '00000000-0000-0000-0000-000000000000',
    alias: 'myLibrary',
    version: '0.0.1',
    loaderConfig: {
        internalModuleBaseUrls: ['https://cdn.net/'],
        entryModuleId: 'main.bundle',
        exportedModuleName: 'foobar',
        scriptResources: {
            'frameworkA': {
                type: 'framework',
                version: '1.2.3'
            },
            'frameworkB': {
                type: 'framework',
                version: '1.2.3',
                failoverPath: 'script.js'
            },
            'frameworkC': {
                type: 'framework',
                version: 'latest',
                failoverPath: {
                    default: 'script.js'
                }
            },
            'frameworkD': {
                type: 'framework',
                version: 'latest',
                failoverPath: {
                    default: 'script.js',
                    debug: 'script.debug.js'
                }
            },
            'frameworkE': {
                type: 'framework',
                version: '1.2.3',
                shouldNotPreload: true
            },
            'frameworkF': {
                type: 'framework',
                version: '1.2.3',
                failoverPath: 'script.js',
                shouldNotPreload: true
            },
            'frameworkG': {
                type: 'framework',
                version: 'latest',
                failoverPath: {
                    default: 'script.js'
                },
                shouldNotPreload: true
            },
            'frameworkI': {
                type: 'framework',
                version: 'latest',
                failoverPath: {
                    default: 'script.js',
                    debug: 'script.debug.js'
                },
                shouldNotPreload: true
            },
            'frameworkJ': {
                type: 'framework',
                version: '1.2.3',
                shouldNotPreload: false
            },
            'frameworkK': {
                type: 'framework',
                version: '1.2.3',
                failoverPath: 'script.js',
                shouldNotPreload: false
            },
            'frameworkL': {
                type: 'framework',
                version: 'latest',
                failoverPath: {
                    default: 'script.js'
                },
                shouldNotPreload: false
            },
            'frameworkM': {
                type: 'framework',
                version: 'latest',
                failoverPath: {
                    default: 'script.js',
                    debug: 'script.debug.js'
                },
                shouldNotPreload: false
            },
            'main.bundle': {
                type: 'internal',
                path: 'bundle.script.js'
            },
            'dependencyA': {
                type: 'internal',
                path: {
                    default: 'dependencyA.script.js',
                    debug: 'dependencyA.debug.script.js'
                }
            },
            'dependencyB': {
                type: 'internal',
                path: {
                    default: 'dependencyB.script.js'
                }
            },
            'dependencyC': {
                type: 'internal',
                path: 'dependencyC.script.js'
            },
            'dependencyD': {
                type: 'internal',
                path: {
                    default: 'dependencyD.script.js',
                    debug: 'dependencyD.debug.script.js'
                },
                shouldNotPreload: true
            },
            'dependencyE': {
                type: 'internal',
                path: {
                    default: 'dependencyE.script.js'
                },
                shouldNotPreload: true
            },
            'dependencyF': {
                type: 'internal',
                path: 'dependencyF.script.js',
                shouldNotPreload: true
            },
            'dependencyG': {
                type: 'internal',
                path: {
                    default: 'dependencyG.script.js',
                    debug: 'dependencyG.debug.script.js'
                },
                shouldNotPreload: false
            },
            'dependencyH': {
                type: 'internal',
                path: {
                    default: 'dependencyH.script.js'
                },
                shouldNotPreload: false
            },
            'dependencyI': {
                type: 'internal',
                path: 'dependencyI.script.js',
                shouldNotPreload: false
            },
            'stringsA': {
                type: 'localized',
                defaultPath: 'stringsA_default.js'
            },
            'stringsB': {
                type: 'localized',
                defaultPath: {
                    default: 'stringsB_default.js',
                    debug: 'stringsB_default.debug.js'
                }
            },
            'stringsC': {
                type: 'localized',
                defaultPath: {
                    default: 'stringsC_default.js'
                }
            },
            'stringsD': {
                type: 'localized',
                defaultPath: 'stringsD_default.js',
                paths: {
                    'en-us': 'stringsD_en-us.js',
                    'fr-fr': 'stringsD_fr-fr.js'
                }
            },
            'stringsE': {
                type: 'localized',
                defaultPath: 'stringsE_default.js',
                paths: {
                    'en-us': {
                        default: 'stringsE_en-us.js'
                    },
                    'fr-fr': 'stringsE_fr-fr.js'
                }
            },
            'stringsF': {
                type: 'localized',
                defaultPath: 'stringsF_default.js',
                paths: {
                    'en-us': {
                        default: 'stringsF_en-us.js',
                        debug: 'stringsF_en-us.debug.js'
                    },
                    'fr-fr': 'stringsF_fr-fr.js'
                }
            },
            'stringsG': {
                type: 'localized',
                defaultPath: 'stringsG_default.js',
                shouldNotPreload: true
            },
            'stringsH': {
                type: 'localized',
                defaultPath: {
                    default: 'stringsH_default.js',
                    debug: 'stringsH_default.debug.js'
                },
                shouldNotPreload: true
            },
            'stringsI': {
                type: 'localized',
                defaultPath: {
                    default: 'stringsI_default.js'
                },
                shouldNotPreload: true
            },
            'stringsJ': {
                type: 'localized',
                defaultPath: 'stringsJ_default.js',
                paths: {
                    'en-us': 'stringsJ_en-us.js',
                    'fr-fr': 'stringsJ_fr-fr.js'
                },
                shouldNotPreload: true
            },
            'stringsK': {
                type: 'localized',
                defaultPath: 'stringsK_default.js',
                paths: {
                    'en-us': {
                        default: 'stringsK_en-us.js'
                    },
                    'fr-fr': 'stringsK_fr-fr.js'
                },
                shouldNotPreload: true
            },
            'stringsL': {
                type: 'localized',
                defaultPath: 'stringsL_default.js',
                paths: {
                    'en-us': {
                        default: 'stringsL_en-us.js',
                        debug: 'stringsL_en-us.debug.js'
                    },
                    'fr-fr': 'stringsL_fr-fr.js'
                },
                shouldNotPreload: true
            },
            'stringsM': {
                type: 'localized',
                defaultPath: 'stringsM_default.js',
                shouldNotPreload: false
            },
            'stringsN': {
                type: 'localized',
                defaultPath: {
                    default: 'stringsN_default.js',
                    debug: 'stringsN_default.debug.js'
                },
                shouldNotPreload: false
            },
            'stringsO': {
                type: 'localized',
                defaultPath: {
                    default: 'stringsO_default.js'
                },
                shouldNotPreload: false
            },
            'stringsP': {
                type: 'localized',
                defaultPath: 'stringsP_default.js',
                paths: {
                    'en-us': 'stringsP_en-us.js',
                    'fr-fr': 'stringsP_fr-fr.js'
                },
                shouldNotPreload: false
            },
            'stringsQ': {
                type: 'localized',
                defaultPath: 'stringsQ_default.js',
                paths: {
                    'en-us': {
                        default: 'stringsQ_en-us.js'
                    },
                    'fr-fr': 'stringsQ_fr-fr.js'
                },
                shouldNotPreload: false
            },
            'stringsR': {
                type: 'localized',
                defaultPath: 'stringsR_default.js',
                paths: {
                    'en-us': {
                        default: 'stringsR_en-us.js',
                        debug: 'stringsR_en-us.debug.js'
                    },
                    'fr-fr': 'stringsR_fr-fr.js'
                },
                shouldNotPreload: false
            },
            'nonAmdA': {
                type: 'internal',
                path: 'nonAmdA.js',
                globalName: 'nonAmdA'
            },
            'nonAmdB': {
                type: 'internal',
                path: 'nonAmdB.js',
                globalName: 'nonAmdB',
                globalDependencies: ['nonAmdB']
            }
        }
    }
};
module.exports = libraryManifest;
/* tslint:enable:export-name */

//# sourceMappingURL=library_1.manifest.js.map
